Package org.opensaml.xmlsec.derivation.impl

# Class PBKDF2.Parser

java.lang.Object
org.opensaml.xmlsec.derivation.impl.PBKDF2.Parser

All Implemented Interfaces:
  `KeyAgreementParameterParser`

Enclosing class:
  PBKDF2

public static class PBKDF2.Parser extends Object implements KeyAgreementParameterParser
Implementation of `KeyAgreementParameterParser`.

## Constructor Summary

Constructors
Constructor
Description
`Parser()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`handles(XMLObject xmlObject)`
Evaluate whether the specified `XMLObject` is handled by the implementation.
`KeyAgreementParameter`
`parse(XMLObject xmlObject)`
Parse the specified `XMLObject` into a `KeyAgreementParameter`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parser

public Parser()

## Method Details

### handles

public boolean handles(@Nonnull XMLObject xmlObject)
Evaluate whether the specified `XMLObject` is handled by the implementation.

Specified by:
  `handles` in interface `KeyAgreementParameterParser`
Parameters:
  `xmlObject` - the XML object to evaluate
Returns:
  true if handles, false if not

### parse

@Nonnull public KeyAgreementParameter parse(@Nonnull XMLObject xmlObject) throws KeyAgreementException
Parse the specified `XMLObject` into a `KeyAgreementParameter`.

Specified by:
  `parse` in interface `KeyAgreementParameterParser`
Parameters:
  `xmlObject` - the XMLObject to be parsed
Returns:
  the new key agreement parameter instance
Throws:
  `KeyAgreementException` - if parameter parsing of the supplied object fails